package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: RealTimeSyncListReq
 * @Description: 实时同步列表请求参数
 * @Author：Bellamy
 * @Date 2021/01/05
 * @Version 1.0
 */
@ApiModel(value = "实时同步列表请求参数", description = "实时同步列表请求参数")
public class RealTimeSyncListReq extends BasePageBean {
    /*
     * 源数据类型id
     * */
    @ApiModelProperty(value = "来源数据类型id")
    private String sourceDatabaseTypeId;

    /*
     * 来源数据源名称
     * */
    @ApiModelProperty(value = "来源数据源名称")
    private String sourceDatabaseName;

    /*
     * 目标数据类型id
     * */
    @ApiModelProperty(value = "目标数据类型id")
    private String targetDatabaseTypeId;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "目标数据源名称")
    private String targetDatabaseName;

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    @NotEmpty(message = "项目ID不能空")
    private String projectId;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "目标数据源名称")
    private String taskStatus;

    /*
     * 节点id
     * */
    @ApiModelProperty(value = "节点名称或id")
    private String treeId;

    /*
     * 节点id
     * */
    @ApiModelProperty(value = "节点名称")
    private String treeName;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getSourceDatabaseTypeId() {
        return sourceDatabaseTypeId;
    }

    public void setSourceDatabaseTypeId(String sourceDatabaseTypeId) {
        this.sourceDatabaseTypeId = sourceDatabaseTypeId;
    }

    public String getSourceDatabaseName() {
        return sourceDatabaseName;
    }

    public void setSourceDatabaseName(String sourceDatabaseName) {
        this.sourceDatabaseName = sourceDatabaseName;
    }

    public String getTargetDatabaseTypeId() {
        return targetDatabaseTypeId;
    }

    public void setTargetDatabaseTypeId(String targetDatabaseTypeId) {
        this.targetDatabaseTypeId = targetDatabaseTypeId;
    }

    public String getTargetDatabaseName() {
        return targetDatabaseName;
    }

    public void setTargetDatabaseName(String targetDatabaseName) {
        this.targetDatabaseName = targetDatabaseName;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }
}
