package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**资源表
 * @author ybz
 *
 */
@ApiModel(value = "资源表", description = "资源表")
public class DmpPermission implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	* 资源ID
	*/
	@ApiModelProperty(value = "资源ID")
    private Integer permissionId;

	/**
	* 资源编码
	*/
	@ApiModelProperty(value = "资源编码")
    private String permissionCode;

	/**
	* 资源名称
	*/
	@ApiModelProperty(value = "资源名称")
    private String permissionName;

	/**
	* 资源描述
	*/
	@ApiModelProperty(value = "资源描述")
    private String permissionDesc;

	/**
	* 资源URL
	*/
	@ApiModelProperty(value = "资源URL")
    private String permissionUrl;

	/**
	* 资源类型(关联字典编码表)
	*/
	@ApiModelProperty(value = "资源类型(关联字典编码表)")
    private String permissionType;

	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
    private Integer permissionSort;

	/**
	* 父级编码
	*/
	@ApiModelProperty(value = "父级编码")
    private String parentCode;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

	/**
	* 修改时间
	*/
	@ApiModelProperty(value = "修改时间")
    private Date updateTime;
	
	@ApiModelProperty(value = "所有孩子节点")
	private List<DmpPermission> children;

	public Integer getPermissionId() {
		return permissionId;
	}

	public void setPermissionId(Integer permissionId) {
		this.permissionId = permissionId;
	}

	public String getPermissionCode() {
		return permissionCode;
	}

	public void setPermissionCode(String permissionCode) {
		this.permissionCode = permissionCode;
	}

	public String getPermissionName() {
		return permissionName;
	}

	public void setPermissionName(String permissionName) {
		this.permissionName = permissionName;
	}

	public String getPermissionDesc() {
		return permissionDesc;
	}

	public void setPermissionDesc(String permissionDesc) {
		this.permissionDesc = permissionDesc;
	}

	public String getPermissionUrl() {
		return permissionUrl;
	}

	public void setPermissionUrl(String permissionUrl) {
		this.permissionUrl = permissionUrl;
	}

	public String getPermissionType() {
		return permissionType;
	}

	public void setPermissionType(String permissionType) {
		this.permissionType = permissionType;
	}

	public Integer getPermissionSort() {
		return permissionSort;
	}

	public void setPermissionSort(Integer permissionSort) {
		this.permissionSort = permissionSort;
	}

	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public List<DmpPermission> getChildren() {
		return children;
	}

	public void setChildren(List<DmpPermission> children) {
		this.children = children;
	}
	
}
